%define version 2.4
Summary: Play midi files on FM, GUS and MIDI devices
Name: playmidi
Version: %{version}
Release: 1
Copyright: see COPYING file
Group: Applications/Sound
Packager: Jens Leuschner <leuschner@gmx.net>
Url: http://playmidi.openprojects.net
Source: ftp://ftp.linpeople.org/pub/People/nathan/playmidi-%{version}.tar.gz

%package X11
Summary: X windows interface to MIDI sound player
Requires: playmidi = 2.4
Group: Applications/Sound

%description
Plays MIDI sound files through a sound card synthesizer. It includes
basic drum samples for use with simple FM synthesizers.

%description X11
X program for playing MIDI sound files through a sound card synthesizer. It
includes basic drum samples for use with simple FM synthesizers.

%prep
%setup -q

%build
./Configure
make

%install
make install.novga
make install.man

%clean

%files
%attr(-,root,root) %doc BUGS COPYING QuickStart README.1ST
%attr(-,root,root) /usr/bin/playmidi
%attr(-,root,root) /etc/std.o3
%attr(-,root,root) /etc/drums.o3
%attr(-,root,root) /etc/std.sb
%attr(-,root,root) /etc/drums.sb
%attr(-,root,root) /usr/man/man1/playmidi.1

%files X11
%attr(-,root,root) /usr/bin/xplaymidi
%attr(-,root,root) /usr/X11R6/lib/X11/app-defaults/XPlaymidi
